package com.hfkj.schedule;

import com.hfkj.entity.BsRebateActivity;
import com.hfkj.entity.BsTradeOrder;
import com.hfkj.service.rebate.BsRebateActivityService;
import com.hfkj.sysenum.RebateActivityEndTypeEnum;
import com.hfkj.sysenum.RebateActivityStatusEnum;
import com.hfkj.sysenum.TradeOrderCreateTypeEnum;
import com.hfkj.sysenum.TradeOrderStatusEnum;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.Scheduled;

import javax.annotation.Resource;
import java.util.*;

/**
 * @className: RebateActivitySchedule
 * @author: HuRui
 * @date: 2023/10/27
 **/
@Configuration
public class RebateActivitySchedule {

    private static final Logger log = LoggerFactory.getLogger(RebateActivitySchedule.class);

    @Resource
    private BsRebateActivityService rebateActivityService;

    /**
     * 取消订单
     * 1分钟扫描一次
     */
    @Scheduled(cron="0 0/1 * * * ?")
    public void endActivity() {
        Map<String,Object> param = new HashMap<>();
        param.put("endTimeE", new Date().getTime());
        param.put("status", RebateActivityStatusEnum.status2.getNumber());

        List<BsRebateActivity> activityList = rebateActivityService.getActivityList(param);
        for (BsRebateActivity activity : activityList) {
            try {

                // 关闭活动
                rebateActivityService.closeActivity(activity.getActivityNo(), RebateActivityEndTypeEnum.type1);

            } catch (Exception e) {

            }
        }
    }
}
